Bug 220460 - GraphicsContextGLOpenGL::reshapeFBOs() ANGLE variant calls into makeContextCurrent()
Summary: GraphicsContextGLOpenGL::reshapeFBOs() ANGLE variant calls into makeContextCu...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kimmo Kinnunen
URL:
Keywords: InRadar
Depends on:
Blocks: 218896
  Show dependency treegraph
 
Reported: 2021-01-08 05:22 PST by Kimmo Kinnunen
Modified: 2021-01-17 23:41 PST (History)
5 users (show)

See Also:


Attachments
Patch (5.90 KB, patch)
2021-01-08 05:25 PST, Kimmo Kinnunen
no flags Details | Formatted Diff | Diff
Patch (7.12 KB, patch)
2021-01-12 04:00 PST, Kimmo Kinnunen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kimmo Kinnunen 2021-01-08 05:22:07 PST
GraphicsContextGLOpenGL::reshapeFBOs() ANGLE variant calls into makeContextCurrent() 

The calls to makeCurrentContext() should only be made during entering of a public method.
The call fails in certain conditions during reshape(), as reshape() is in middle of reshaping the default frame buffer and currently makeContextCurrent() uses the size information to determine if the context is in valid state or not.

Long term the " the size information to determine"-part should be removed, but it's a bit tricky to test.
Removing the redundant makeContextCurrent() calls should be a goal anyway, so fixing this leaf problem should be a good short term fix.
Comment 1 Kimmo Kinnunen 2021-01-08 05:25:55 PST
Created attachment 417265 [details]
Patch
Comment 2 Kimmo Kinnunen 2021-01-12 04:00:08 PST
Created attachment 417443 [details]
Patch
Comment 3 Radar WebKit Bug Importer 2021-01-15 05:23:13 PST
<rdar://problem/73245417>
Comment 4 EWS 2021-01-17 23:41:47 PST
Committed r271572: <https://trac.webkit.org/changeset/271572>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 417443 [details].